%define name vpb
%define version 2.1.8
%define release 1mdk
%define kernel 2.4.13

Summary:	A user mode API for voicetronix telephony hardware
Name:		%name
Version:	%version
Release:	%release
Group:		Communications

Source:		%name-driver-%version.tar.bz2
Url:		http://www.voxilla.org

License:	GPL
BuildRoot:	%_tmppath/%name-buildroot
ExclusiveArch:	%ix86

Obsoletes:	vbp2
Provides:	vbp2

%description
This library is the unified link libary and Linux kernel driver for
Voicetronix analog DSP telephony cards.  This package supports both the
ISA and PCI versions of the Voicetronix card and includes the advanced
DSP firmware for echo cancellation and channel joins.



%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %name-driver-%version

%build

%make
(cd unittest ; make)

%install
mkdir -p $RPM_BUILD_ROOT/usr/include
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/etc/vpb
mkdir -p $RPM_BUILD_ROOT/lib/modules/%{kernel}/misc
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
make root=$RPM_BUILD_ROOT prefix=/usr install
cp -a src/vpb.o $RPM_BUILD_ROOT/lib/modules/%{kernel}/misc
cp -a src/vpb.init $RPM_BUILD_ROOT/etc/rc.d/init.d/vpb
chmod +x $RPM_BUILD_ROOT/etc/rc.d/init.d/vpb


%files
%defattr(-,root,root)
%{_libdir}/*
%{_includedir}/vpbapi.h
%config /etc/vpb/*.out
/lib/modules/*/misc/*
%config /etc/rc.d/init.d/vpb
%defattr(0644,root root,755)
%doc README COPYING doc/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig vpb reset

%preun
/etc/rc.d/init.d/vpb stop
/sbin/chkconfig --level 0123456 vpb off

%changelog
* Mon Nov 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.1.8-1mdk
- replace vpb2
